// LED_onoff_1
// ボタンが押されて初めてloopが実行される時にのみLEDの状態を変化させる
// そのためフラグを用意し、LEDの状態を変化させたら、フラグを偽として、
//　ボタンが離されてフラグが真に設定されるまで、LED状態の変更をスキップする
//

boolean ledOn = false; 
boolean buttonEnabled = true; 

void setup() {
  pinMode(9, OUTPUT);
  pinMode(2, INPUT);
}

void loop () {
  int sw = digitalRead(2);
  
  // swがHIGHの場合は ledOn をtrueまたはfalseに変更する
  //   buttonEnabled がfalseの場合は何もしない
  //   buttonEnabled がtrueの場合は、ledOnを変更して、buttonEnabledをfalseにする
  // swがLOWになったら、buttonEnabledをtrueにする
  //
  if(sw == HIGH) {
    if(buttonEnabled) {
      ledOn = !ledOn;
      buttonEnabled = false;
    }
  }
  else {
    buttonEnabled = true;
  }
  
  // ledOnの値に応じて、LEDを点灯、または消灯する
  if(ledOn) {
    digitalWrite(9, HIGH); 
  }
  else {
    digitalWrite(9, LOW);
  }
}

  
