// LED_onoff_2
// ボタンの状態を監視し、LOWからHIGHに変化した場合だけ、LEDの状態を変更する
//

int swPrev = LOW; //初期値は不要。ここで設定すればsetup内のswPrevの設定を省略可能
boolean ledOn = false; 

void setup() {
  pinMode(9, OUTPUT);
  pinMode(2, INPUT);
  swPrev = digitalRead(2); // プログラム開始時のボタンの状態をswPrevに記録する
}

void loop () {
  int sw = digitalRead(2);

  // sw がHIGHで、前のsw(swPrev)がLOWの場合のみ、LEDの状態を変更する
  if((sw == HIGH)&&(swPrev == LOW)) {
    ledOn = !ledOn;
  }

  // swPrev に sw の値を記録する
  swPrev = sw; 

  // ledOnの値に応じて、LEDを点灯、または消灯する
  if(ledOn) {
    digitalWrite(9, HIGH); 
  }
  else {
    digitalWrite(9, LOW);
  }
}




